Bug 240093 - games/openomf: Fix build with non-x86 (non-SSE) architectures
Summary: games/openomf: Fix build with non-x86 (non-SSE) architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-25 10:12 UTC by Piotr Kubaj
Modified: 2019-09-04 09:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (devel)
koobs: merge-quarterly?


Attachments
patch (927 bytes, patch)
2019-08-25 10:12 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-25 10:12:50 UTC
Created attachment 206885 [details]
patch

SSE is only available on x86 platforms and forcing it breaks compilation on other platforms.

Clang on 12.0-RELEASE on amd64 enables SSE by default anyway and not-specifying -msse allows to build this port on other, non-SSE architectures.

Also add USES=sdl.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 10:55:41 UTC
^Triage: 

 - Reporter is committer, assign accordingly
 - Bugfix, MFH
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 10:56:46 UTC
Comment on attachment 206885 [details]
patch

Approved by: portmgr (blanket(s): build fix)
MFH: 2019Q3

Pending QA
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 10:57:21 UTC
Should ${REINPLACE_CMD} -e 's,-msse ,,' be scoped to !x86 archs so as not to affect performance on them?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2019-08-27 22:15:44 UTC
Approved by mentor.
Comment 5 Piotr Kubaj freebsd_committer 2019-09-04 09:36:05 UTC
(In reply to Kubilay Kocak from comment #3)
Comment 6 commit-hook freebsd_committer 2019-09-04 09:36:35 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Sep  4 09:36:02 UTC 2019
New revision: 511074
URL: https://svnweb.freebsd.org/changeset/ports/511074

Log:
  games/openomf: Fix build with non-x86 (non-SSE) architectures

  SSE is only available on x86 platforms and forcing it breaks compilation on other platforms.

  Clang on 12.0-RELEASE on amd64 enables SSE by default anyway and not-specifying -msse allows to build this port on other, non-SSE architectures.

  Also add USES=sdl.

  PR:		240093
  Approved by:	devel@stasyan.com (maintainer), linimon (mentor)

Changes:
  head/games/openomf/Makefile